@ECHO
REM =====================================================================================
REM Bat created to deploy CAL package for VNC to WIN32 and WS5A devices
REM 7/16/2018
REM Version 1.1
REM Change Log:
REM 1.1 -- added compatibility for DC devices
REM =====================================================================================

SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION
SET MY_DIR_TEMP=%~dp0
SET MY_DIR=%MY_DIR_TEMP:~0,-1%

IF EXIST "C:\Program Files (x86)\TightVNC" (
ECHO TightVNC already installed.
)
GOTO :INSTALL

:INSTALL
IF NOT EXIST "D:\MICROS\Res\CAL\Win32\Packages\Win32Vnc" MD "D:\MICROS\Res\CAL\Win32\Packages\Win32Vnc"
XCopy "%MY_DIR%\Win32Vnc" "D:\MICROS\Res\CAL\Win32\Packages\Win32Vnc" /I /S /R /Y
IF NOT EXIST "D:\MICROS\Res\CAL\WS5A\Packages\WS5AVNC" MD "D:\MICROS\Res\CAL\WS5A\Packages\WS5AVNC"
XCopy "%MY_DIR%\WS5AVNC" "D:\MICROS\Res\CAL\WS5A\Packages\WS5AVNC" /I /S /R /Y
IF NOT EXIST "D:\MICROS\Res\CAL\DC\Packages\DCVNC" MD "D:\MICROS\Res\CAL\DC\Packages\DCVNC"
XCopy "%MY_DIR%\DCVNC" "D:\MICROS\Res\CAL\DC\Packages\DCVNC" /I /S /R /Y
START /WAIT "vnc" %MY_DIR%\VNCSERVERINSTALL\VNC.BAT /I
GOTO :EXIT

:EXIT
EXIT /B